Joomla! CMS™ [![Analytics](https://ga-beacon.appspot.com/UA-544070-3/joomla-cms/readme)](https://github.com/igrigorik/ga-beacon)
====================

Build Status
---------------------
Travis-CI: [![Build Status](https://travis-ci.org/joomla/joomla-cms.png)](https://travis-ci.org/joomla/joomla-cms)
Jenkins: [![Build Status](http://build.joomla.org/job/cms/badge/icon)](http://build.joomla.org/job/cms/)

What is this?
---------------------
* This is a Joomla! 3.x installation/upgrade package.
* Joomla's [Official website](http://www.joomla.org).
* Joomla! 3.4 [version history](https://docs.joomla.org/Joomla_3.4_version_history).
* Detailed changes are in the [changelog](https://github.com/joomla/joomla-cms/commits/master).

What is Joomla?
---------------------
* Joomla is a **Content Management System** (CMS) which enables you to build websites and powerful online applications.
* It is a simple and powerful web server application which requires a server with PHP and either MySQL, PostgreSQL or SQL Server to run. You can find more [details here](http://www.joomla.org/about-joomla.html).
* Joomla is **free and OpenSource software** distributed under the GNU General Public License version 2 or later.

Is Joomla! for you?
---------------------
* Joomla is [the right solution for most content web projects](https://docs.joomla.org/Joomla_Is_it_for_me%3F).
* View Joomla's core [features here](http://www.joomla.org/core-features.html).
* Try it out for yourself in our [online demo](https://demo.joomla.org).

How to find a Joomla! translation?
---------------------
* Repository of [accredited language packs](http://community.joomla.org/translations.html).
* You can also add languages directly to your website via your Joomla! administration panel.

Learn Joomla!
---------------------
* Read ['Getting Started with Joomla!'](https://docs.joomla.org/Getting_Started_with_Joomla!) to learn the basics.
* Before installing, read the ['Beginners' Guide'](https://docs.joomla.org/Beginners).

What are the benefits of Joomla?
---------------------
* The functionality of a Joomla website can be extended by installing extensions that you can create (or download) to suit your needs.
* There are many ready-made extensions that you can download and install.
* Check out the [Joomla! Extensions Directory (JED)](http://extensions.joomla.org).

Is it easy to change the layout display?
---------------------
* The layout is controlled by templates that you can edit.
* There are a lot of ready-made professional templates that you can download.
* Template management information is [available here](https://docs.joomla.org/Portal:Administrators#Template_Management).

Ready to install Joomla?
---------------------
* Check the [minimum requirements](http://www.joomla.org/technical-requirements.html). 
* How do you [install Joomla](https://docs.joomla.org/Installing_Joomla!)?
* You could start your Joomla! experience by [building your site on a local test server](https://docs.joomla.org/Installing_Joomla_locally).
When ready, it can be moved to an on-line hosting account of your choice.

Updates are free!
---------------------
* Always use the [latest version](http://www.joomla.org/download.html).

Where can you get support and help?
---------------------
* [The Joomla! Documentation](https://docs.joomla.org/Main_Page);
* [Frequently Asked Questions](https://docs.joomla.org/Category:FAQ) (FAQ);
* Find the [information you need](https://docs.joomla.org/Start_here);
* Find [help and other users](http://www.joomla.org/about-joomla/create-and-share.html);
* Post questions at [our forums](http://forum.joomla.org);
* [Joomla Resources Directory](http://resources.joomla.org/) (JRD).

Do you already have a Joomla site that isn't built with Joomla 3.x?
---------------------
* What's [new in Joomla! 3.x](http://www.joomla.org/3)?
* What are the [main differences between 2.5 and 3.x](https://docs.joomla.org/What_are_the_major_differences_between_Joomla!_2.5_and_3.x%3F)?
* How to [migrate from 2.5.x to 3.x](https://docs.joomla.org/Joomla_2.5_to_3.x_Step_by_Step_Migration).
* How to [migrate from 1.5.x to 3.x](https://docs.joomla.org/Joomla_1.5_to_3.x_Step_by_Step_Migration).
* How to [convert an existing website to Joomla](https://docs.joomla.org/How_to_Convert_an_existing_Web_site_to_a_Joomla!_Web_site).

Do you want to improve Joomla?
--------------------
* How do you [request a feature](https://docs.joomla.org/How_do_you_request_a_feature%3F)?
* How do you [report a bug](https://docs.joomla.org/Filing_bugs_and_issues)?
* Get Involved: Joomla! is community developed software. [Join the community](http://volunteers.joomla.org/).
* Documentation for [Developers](https://docs.joomla.org/Developers).
* Documentation for [Web designers](https://docs.joomla.org/Web_designers).

Copyright
---------------------
* Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.
* [Special Thanks](https://docs.joomla.org/Joomla!_Credits_and_Thanks)
* Distributed under the GNU General Public License version 2 or later
* See [License details](https://docs.joomla.org/Joomla_Licenses)
